{% extends "layout.twig" %}
{% block head %}
    <title>App | Login page</title>
{% endblock %}

{% block title %}
    Login page
{% endblock %}

{% block content %}
    <div class="uk-flex uk-flex-center">
        <form method="post" action="{{ path_for('login.post') }}">
            <div class="uk-margin">
                <div class="uk-inline">
                    <span class="uk-form-icon" uk-icon="icon: mail"></span>
                    <input class="uk-input" name="email" placeholder="name@email.com" type="email">
                </div>
            </div>
            <div class="uk-margin">
                <div class="uk-inline">
                    <span class="uk-form-icon" uk-icon="icon: lock"></span>
                    <input class="uk-input" name="password" placeholder="password" type="password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="uk-flex uk-flex-center">
                    <button class="uk-button uk-button-default">Submit</button>
            </div>
            <div class="uk-flex uk-flex-center uk-margin-small-top">
                <a href="{{ path_for('forgot.get') }}" class="uk-button uk-button-text">Forgot password?</a>
            </div>
        </form>
    </div>
{% endblock %}

{% block msg%}
    {% if has_error('email') %}
        <div class="uk-alert-danger" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <h3>Error</h3>
            <p>{{ get_error('email') }}</p>
        </div>
    {% elseif has_error('auth') %}
        <div class="uk-alert-danger" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <h3>Error</h3>
            <p>{{ get_error('auth') }}</p>
        </div>
    {% endif %}
{% endblock%}